oracle.xml.xsql

## Class XSQLDiagnostic

- java.lang.Object
- - oracle.xml.xsql.XSQLDiagnostic

    public final class XSQLDiagnostic
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`XSQLDiagnostic(java.lang.String diagFile)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `debugPrintToFile(java.lang.String msg, java.lang.String filename)`
`void` `msg(java.lang.String text)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSQLDiagnostic

    public XSQLDiagnostic(java.lang.String diagFile)

### Method Detail

#### msg

    public void msg(java.lang.String text)

#### debugPrintToFile

    public static void debugPrintToFile(java.lang.String msg,
                                        java.lang.String filename)

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.